package com.sample;

import org.drools.runtime.StatefulKnowledgeSession;
import org.drools.runtime.process.ProcessInstance;
import org.drools.runtime.process.WorkItem;

import org.drools.runtime.process.WorkItemHandler;

import org.drools.runtime.process.WorkItemManager;

public class Signaling implements WorkItemHandler{
	
	StatefulKnowledgeSession session;
	ProcessInstance ProcessInst;
	
	public Signaling (StatefulKnowledgeSession ksession){
		session = ksession;
	}
	
	public Signaling (ProcessInstance Instance){
		ProcessInst = Instance;
	}
	
	public void executeWorkItem(WorkItem workItem, WorkItemManager manager) {

		System.out.println("Signaling intermediate catch event...");
		session.signalEvent("Signal", null);
		//System.out.println(ProcessInst.toString());
		//ProcessInst.signalEvent("Signal", null);
		manager.completeWorkItem(workItem.getId(), null);
	}
	
	@Override
	public void abortWorkItem(WorkItem workItem, WorkItemManager manager) {

		// Do nothing, notifications cannot be aborted
		// session.signalEvent("TimeOut", 5);
		System.out.println("Aborting");
	}

}
